#logfile=/diags/netsetup.log
logfile=/dev/ttyS2

/system/bin/ifconfig usb0 10.55.44.254 netmask 255.255.255.252
/system/bin/route add default gw 10.55.44.253 dev usb0
setprop net.dns1 10.55.44.253

# set up busybox
/diags/busybox --install -s /system/xbin
/diags/busybox cp /diags/busybox /system/xbin/busybox
chmod 755 /system/xbin/busybox

# run httpd
/system/bin/logwrapper /system/xbin/httpd -p 80 -h /cloud

if [ $? -ne 0 ]
then
	echo "$0: Fatal error: Can't start httpd on port 80"
	exit 2
else
	echo "$0: Successfully started httpd on port 80"
fi

SERVER=`cat /cloud/ntp.conf`

if [ $? -ne 0 ]
then
    SERVER=pool.ntp.org
fi

/system/bin/logwrapper /system/xbin/ntpd -d -n -N -q -p $SERVER

#comment out exit to do testing
exit 0

echo "----------- netsetup.sh -----------------">> $logfile
date >> $logfile
netcfg >> $logfile
cat /proc/net/route >> $logfile
ping -c 1 www.yahoo.com >> $logfile
echo "----------- netsetup.sh -----------------">> $logfile


